Package org.apache.tapestry5.dom

## Class Html5MarkupModel

- java.lang.Object
- - org.apache.tapestry5.dom.AbstractMarkupModel
  - - org.apache.tapestry5.dom.Html5MarkupModel

- All Implemented Interfaces:
    `MarkupModel`

      public class Html5MarkupModel
      extends AbstractMarkupModel

  Implementation of `MarkupModel` that correctly handles HTML5 void elements. It does not support XHTML5.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Html5MarkupModel()` |
    `Html5MarkupModel​(boolean useApostropheForAttributes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EndTagStyle` | `getEndTagStyle​(java.lang.String element)` | For a given element, determines how the end tag for the element should be rendered.
    `boolean` | `isXML()` | Returns true if the document markup is XML, which is used to determine the need for an XML declaration at the start of the document, and whether CDATA sections are supported.

    - ### Methods inherited from class org.apache.tapestry5.dom.AbstractMarkupModel

      `encode, encodeQuoted, getAttributeQuote`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Html5MarkupModel

          public Html5MarkupModel()

    - #### Html5MarkupModel

          public Html5MarkupModel​(boolean useApostropheForAttributes)

  - ### Method Detail

    - #### getEndTagStyle

          public EndTagStyle getEndTagStyle​(java.lang.String element)

      Description copied from interface: `MarkupModel`
      For a given element, determines how the end tag for the element should be rendered.

    - #### isXML

          public boolean isXML()

      Description copied from interface: `MarkupModel`
      Returns true if the document markup is XML, which is used to determine the need for an XML declaration at the start of the document, and whether CDATA sections are supported.
      Returns:
        true for XML output, false for HTML output